Skip to main content
GET
Get payment session

Authorizations

X-Api-Key
string
header
required

An API key that grants access to the Connect API. You can create and manage API keys in the portal.

Path Parameters

paymentSessionId
string
required

The unique identifier of the payment session to retrieve.

Response

Payment session retrieved successfully

A payment session that wraps the payment process and collects payment information from the user for a specific order.

paymentSessionId
string
required

The unique identifier for this payment session.

Example:

"d2e3f4a5-b6c7-8901-2345-012345678901"

orderId
string
required

The unique identifier of the order this payment session is for.

Example:

"e3f4a5b6-c7d8-9012-3456-123456789012"

paymentProvider
enum<string>
required

Payment service provider that processes the transaction.

Available options:
STRIPE,
BILLOGRAM
Example:

"STRIPE"

savePaymentProfile
boolean
required

Whether to save the payment profile for future use. Only applicable if the customer is authenticated or for the initial order. Defaults to false.

Example:

true

hostedUrl
string<uri>
required

The hosted checkout page to redirect the customer to in order to complete payment.

Example:

"https://payments.example.com/checkout/d2e3f4a5-b6c7-8901-2345-012345678901"

status
enum<string>
required

Current status of a payment session lifecycle.

Available options:
PENDING,
REQUIRES_ACTION,
COMPLETED,
FAILED,
CANCELED,
EXPIRED
Example:

"PENDING"

metadata
object
required

Custom key-value pairs for additional payment session information.

Example:
createdAt
string<date-time>
required

When this payment session was created.

Example:

"2024-09-29T10:00:00Z"

updatedAt
string<date-time>
required

When this payment session was last updated.

Example:

"2024-09-29T10:30:00Z"

paymentProfileId
string

The saved payment method to use for this payment (for returning customers).

Example:

"f4a5b6c7-d8e9-0123-4567-234567890123"

returnUrl
string

The URL the customer is redirected to after payment completion.

Example:

"https://example.com/order/confirmation"

cancelUrl
string

The URL the customer is redirected to if they cancel the payment.

Example:

"https://example.com/order/checkout"